C To calculate the metric tensor for a monoclinic system.
C
C Reference:
C  Chapter on Crystallography, by H. K. D. H. Bhadeshia, 
C   in "Microstructural Characterisation" edited by E. Metcalfe,
C   Institute of Metals, London, 1988, Table 3, page 33.
C
      SUBROUTINE MAP_CRYSTAL_MET5(G,AP,BP,CP,BETA,PI,IFAIL)
      REAL G(9),AP,BP,CP,BETA,PI
      INTEGER IFAIL
C
      DO 20 I=1,9
      G(I)=0.0D+00
 20   CONTINUE
C
          IFAIL=0
	  IF (BETA .LT. 0.0 .OR. BETA .GT. 180.0) IFAIL=1
	  IF (IFAIL .EQ. 1) GOTO 40
      G(1)=AP*AP
      G(3)=AP*CP*COS(BETA*2.0*PI/360.0)
      G(5)=BP*BP
      G(7)=G(3)
      G(9)=CP*CP
C
 40   RETURN
      END
